GNU bug report logs - #40270
[PATCH 1/2] gnu: Add python-flask-markdown.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: pinoaffe@HIDDEN; Keywords: patch; merged with #40165; dated Sat, 28 Mar 2020 09:34:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 40270 <at> debbugs.gnu.org:


Received: (at 40270) by debbugs.gnu.org; 29 Mar 2020 20:11:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 29 16:11:52 2020
Received: from localhost ([127.0.0.1]:59945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIeHg-0000bb-76
	for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 16:11:52 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:32915)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jIeHe-0000bO-3V
 for 40270 <at> debbugs.gnu.org; Sun, 29 Mar 2020 16:11:50 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 5E4AD5BB;
 Sun, 29 Mar 2020 16:11:44 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Sun, 29 Mar 2020 16:11:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=zJWljiHlkmMqr7jDw6G4y0OdZk
 +dvtBUU/TLykTtRXE=; b=JWSLKqc3hAVW4Z2h/zVG3XtsAqbWtnkcJP+jWVG5rF
 oq1TQVAJwe431IZEyqQsbUxhHwNGCCofMTkxgPPxqKWJUvZtu66HZYaMnQLB2LMX
 0YoIR7tE3BABQeBNkYMDDzPMcwdZ3MZcoB7HX06knDOOsG8o5QFnYlkjVcTyBWgw
 hgy8+UCmAVmQGjEZoHi+CpV1LrqGWABsQ2bb5d14OzdShIageuVmyWI/9ak1ztSS
 F5NY1g438+ZKeKNX3H++dTFv/WzdgSyI79OPQ2B3G8+uxP1enDQ967IeFBGLOqaS
 DlnDj8F122XrBDaXslErNb5pk/5X1I1rlLgG6NBRHevg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=zJWlji
 HlkmMqr7jDw6G4y0OdZk+dvtBUU/TLykTtRXE=; b=seoYAp/BwjwNANt4+5u99P
 zzw97sQoOTN463/mImE2o1f9wVkaS4q1cboFyijGkfBge4+NjuVYOkp27zano0CP
 O/MyVnGadRbxXqfQwLrll7EqSfkC/ah6mbgPwnZDDB8Gyd2WMNZAyq2bW122yTzk
 0GvH1lt0J1Ar1SBI4JcFcwtGotTFoKKM94zw0nDq5EbJsouWGWi/DxnYu8LsuXsC
 MYS/rTAtSG5lWAKFmRv9gzhTuEd+p/ZTGjP4CGQ1mfSY4oYL4acicYq96FcG9Fiw
 eAVkkt3tGyigIoEYCBvuDWYyw4+VTv1/EQ5H5n3bg7Gvp/jFv9DRriMZE/JDrqjQ
 ==
X-ME-Sender: <xms:_wCBXimdZxQhYN38LrnkFDpvja7eaKVk4tT7ghwRPVrHK4iip9TpEA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudeifedgudeglecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecufghrlhcuvffnffculddutddmnecujfgurhephf
 fvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhushcuuegrkhhk
 vgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepkeegrddvtddvrd
 eikedrjeehnecuvehluhhsthgvrhfuihiivgepudenucfrrghrrghmpehmrghilhhfrhho
 mhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomh
X-ME-Proxy: <xmx:_wCBXqZ0zUmIkUb1Lm2cLpQimCEIbQr5bQYPgIzCus7EeS6JXz-dTQ>
 <xmx:_wCBXsDhYev5E9KhuMNRCa2a0pc76VYTd64my7kVDXOnT7vvDhgGPA>
 <xmx:_wCBXpOrGQe5YVOaX4TrZ1lv5N461s4jkOIlONqxtHM0ZHqEWPngfA>
 <xmx:AAGBXqmm0QimkrlBX2LXJnF-D43y7UKctXZQmQIdS8FqVmYvWj-MbA>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id BA88D306C8B1;
 Sun, 29 Mar 2020 16:11:42 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: pinoaffe@HIDDEN, 40270 <at> debbugs.gnu.org
Subject: Re: [bug#40270] [PATCH 2/2] gnu: Add python-flask-session.
In-Reply-To: <23d1eb780cb76093bba9da0d5bcd92a5@HIDDEN>
References: <5bbe56dd7abd7d2dedd737a61620ae36@HIDDEN>
 <23d1eb780cb76093bba9da0d5bcd92a5@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 29 Mar 2020 22:11:40 +0200
Message-ID: <87a73yx6o3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40270
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

pinoaffe@HIDDEN writes:

> * gnu/packages/python-web.scm (python-flask-session,=20
> python2-flask-session): New variables.

I have the same comments on this package as the python-flask-markdown
patch.  Can you send an updated patch?

Also the python2 variants can be omitted unless you plan on using them.
Python 2 is deprecated, so we do not add new Python 2 packages unless
required by something else.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6BAPwACgkQoqBt8qM6
VPql6gf+MG7vNq89rg7ydhHk4qk+yghfd9yMye0JunmbsMJkDPJi6dH8DynaPnQR
Kd0X5fduTtgi2AvD8m1SZDOpLKcIdKPdRdOKWzsD59hQQPDvGGUKaLii6dwltSw6
onuDAO+tNhxspwLZPoXQyPtDGgCbjnm582RuSEUSHU5Vasfq1SWFsjXVHFnoj59b
7K5zdUpWcKKAu6RH68ncoB5B5toeTyuG0zAAkXr9mb08vQZs1B/+CV7XQ1MgNHFy
vfZ0chV59Fx0YVQNZYm8l8QpjQWIee//EpHR7cDXLGDOAzvXOqhEJ6rvi8iO+rSb
mnkRU90JdRrUit8xuhXb6ttTxAhZtw==
=ywPc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40270; Package guix-patches. Full text available.

Message received at 40270 <at> debbugs.gnu.org:


Received: (at 40270) by debbugs.gnu.org; 29 Mar 2020 20:10:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 29 16:10:13 2020
Received: from localhost ([127.0.0.1]:59939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIeG4-0000Z3-PT
	for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 16:10:12 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:56889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jIeG3-0000Yk-MR
 for 40270 <at> debbugs.gnu.org; Sun, 29 Mar 2020 16:10:12 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id CEBB0797;
 Sun, 29 Mar 2020 16:10:05 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 29 Mar 2020 16:10:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=3bVQV0LDnPa7h4r+mehPcj9j8C
 OOcJ1V1c7owtYnguk=; b=O6K5VvIAU/9pcKhLs6CbKGQrXuZ2ttZr1znV7k0YH0
 USmtDcrFAdG4bgc3b/JpKT66qSXZHBqWYiNBaygjtFnH4DuzhRBOmUmLaSVToFLc
 4DRlqc6u0rbD0TGcaC7CNRvCHYGb+MgROLddYvWCq/dg7GpFNnofNY0nKeg+VHVM
 9b94MPokyu8fp7sOJ9zVqqyeXRaW+u+jXGBC6UWlyjTQ56N40EKIRwWyWDW0Iz2L
 pCCS2739W4cv7Rkv16Ok6XLw09Y0NRazwnKGlS1n2vQCpKKWwpIAnvJbkKoqh174
 +myUxg0m2OjtajWGGuPbZLucTHgwMGTIBZZ9Xg1WwZ5g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=3bVQV0
 LDnPa7h4r+mehPcj9j8COOcJ1V1c7owtYnguk=; b=bQc6IeeBZhp8lIxKMxhPi3
 1y+DpGqhVmwiq5oPgRpFnjPTHWJlmzr2PdCBL/JNmPVa2uXGDUJ0/AcbUa1PkOFD
 1PVGv9XtCcgxobbfN2KE0sEjt8me4V+a8DD0mV+mV52IZ2FNN3mq+rSzDAtk+75C
 umYzx9wJ6F4aC30mCRIYrZmFkIcu9vgB2/YZxqB+0dJrYXznmym6NvLJPsIUxqx5
 PZqi/eLvBmlu3ZrFFftwJ5Wm6MvwdcDVAVjrsEeEAz/vFkVlR803qc9TgLnp3Z4n
 QOONtoQO34/LkxibNN0k2bYWA0UD64ZhF46eVUB24Rp6TLHUinDMYJsTvv1zkSdQ
 ==
X-ME-Sender: <xms:nACBXgOrqsVZv0tFO4S3TcI-IAhMlv91K3A8KGA0LTYsFtcBp6NvOQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudeifedgudeglecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecufghrlhcuvffnffculddutddmnecujfgurhephf
 fvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhushcuuegrkhhk
 vgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepkeegrddvtddvrd
 eikedrjeehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhho
 mhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomh
X-ME-Proxy: <xmx:nACBXnb1vfO6W88ztTFaI9xrMcJJ2xExXsoXqFLx6qNlK1VlAEa2Yw>
 <xmx:nACBXnD3FHB4XezcWxeAF-J9XiarwttV7kUf5WF6L5y2nNDk-VeHxw>
 <xmx:nACBXlHKDSG39clAjEG0PDkYtZ26h79XdMVpewl8NociZxSFyoSlig>
 <xmx:nQCBXhsm6CdyeCO0TF3lC2ISDqPG8jSo05VogY6byJSgTprIia40JQ>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5B6B23280069;
 Sun, 29 Mar 2020 16:10:04 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: pinoaffe@HIDDEN, 40270 <at> debbugs.gnu.org
Subject: Re: [bug#40270] [PATCH 1/2] gnu: Add python-flask-markdown.
In-Reply-To: <5bbe56dd7abd7d2dedd737a61620ae36@HIDDEN>
References: <5bbe56dd7abd7d2dedd737a61620ae36@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 29 Mar 2020 22:10:02 +0200
Message-ID: <87d08ux6qt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40270
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

pinoaffe@HIDDEN writes:

> * gnu/packages/python-web.scm (python-flask-markdown,=20
> python2-flask-markdown): New variables.

Note: I merged your previous bug report that adds this package (#40165)
with this bug (#40270).  The comments still stand however!  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6BAJoACgkQoqBt8qM6
VPqJUgf+N7BuikDmUwhgn79Mk9Y9sCZkBdp5msGJ4lykzW8GccbowdDlR8fTxQbZ
/rfY49vxFdDJVXFpcm2ERk4X1ej60OnHQysvmcYvmtudAe0MwuWchzN8iOanph4A
Uc8NPB9jek9nzO+uO3yFRCy35kUucps4AudfqVLMGv3v4NJKmyHY60KbxrrAY8sT
mQ0daKsd/u+5+4NieVjo1q5A5py/sHOglOx6yCI50eHUfQMbfjq3neojKMSkPwKs
DP/yYCLm1UqDssdyojtbnLDtlU1m6dE0skL2nTN1gfD49XvOXMogCwiz9bxGyfQY
YO7tBDbNMkG1S33oyuJxtsnlP2HfaQ==
=zach
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40270; Package guix-patches. Full text available.
Merged 40165 40270. Request was from Marius Bakke <mbakke@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40270 <at> debbugs.gnu.org:


Received: (at 40270) by debbugs.gnu.org; 28 Mar 2020 09:37:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 05:37:06 2020
Received: from localhost ([127.0.0.1]:33668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI7tq-000376-36
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 05:37:06 -0400
Received: from mail.cock.li ([37.120.193.124]:35886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pinoaffe@HIDDEN>) id 1jI7tn-00036b-TI
 for 40270 <at> debbugs.gnu.org; Sat, 28 Mar 2020 05:37:04 -0400
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1585388218; bh=Vjq9mdj6UKNQYt4B7Lvlos8iZAHG08sQsDOznifpOZs=;
 h=Date:From:To:Subject:From;
 b=X3FjLBiCW6NPej0SyrHoj5QAoK9vDcYrUP2WWzMK97L/aNGI0ewez9sYl4++CE2YL
 cjUWIVhSss+eyXzYX3PeNaH9p9jYkN+Iy6b8hw6Pz0iPblkl9q4qe78qT9txTJkZKy
 jHYuQppEro5H3l7vl8b+5LS8hXKK1hrFRTgYiyVrldL2rwD636FOqkik/vhoo+ViAN
 UBDdT/e4/8eQuxvQo9Jt+AAoPvqvFCfmKPh6g6jS7vMQr7zBji3lewaGbLer2ArfRn
 f3XQcxxfMozcnnQhfRJWPa/iMAJsyDZSqSPCOqvpyhxDXuHYc+J8lQS9WSn919iNBZ
 zG68emy6SxL/A==
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sat, 28 Mar 2020 09:36:57 +0000
From: pinoaffe@HIDDEN
To: 40270 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: Add python-flask-session.
Message-ID: <23d1eb780cb76093bba9da0d5bcd92a5@HIDDEN>
X-Sender: pinoaffe@HIDDEN
User-Agent: Roundcube Webmail/1.3.10
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40270
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


* gnu/packages/python-web.scm (python-flask-session, 
python2-flask-session): New variables.
---
  gnu/packages/python-web.scm | 27 +++++++++++++++++++++++++++
  1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index db66f1ed4d..acca981eee 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -500,6 +500,33 @@ both of which are installed automatically if you 
install this library.")
  (define-public python2-flask-markdown
    (package-with-python2 python-flask-markdown))

+(define-public python-flask-session
+  (package
+    (name "python-flask-session")
+    (version "0.3.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "Flask-Session" version))
+        (sha256
+          (base32
+            "0cd7h5c236m6smyixnyfrks4spsqp9d65ndk4p400zr8qgh2f753"))))
+    (build-system python-build-system)
+    (arguments
+       `(#:tests? #f))
+    (propagated-inputs
+      `(("python-flask" ,python-flask)))
+    (home-page
+      "https://github.com/fengsp/flask-session")
+    (synopsis
+      "Adds server-side session support to your Flask application")
+    (description
+      "Adds server-side session support to your Flask application")
+    (license license:bsd-3)))
+
+(define-public python2-flask-session
+  (package-with-python2 python-flask-session))
+
  (define-public python-html5lib
    (package
      (name "python-html5lib")
-- 
2.25.2





Information forwarded to guix-patches@HIDDEN:
bug#40270; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Mar 2020 09:33:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 28 05:33:32 2020
Received: from localhost ([127.0.0.1]:33662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI7qN-00030z-OL
	for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 05:33:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:44642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pinoaffe@HIDDEN>) id 1jI7qL-00030r-Po
 for submit <at> debbugs.gnu.org; Sat, 28 Mar 2020 05:33:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34301)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pinoaffe@HIDDEN>) id 1jI7qJ-0007xb-VZ
 for guix-patches@HIDDEN; Sat, 28 Mar 2020 05:33:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pinoaffe@HIDDEN>) id 1jI7qH-00074C-Cp
 for guix-patches@HIDDEN; Sat, 28 Mar 2020 05:33:26 -0400
Received: from mail.cock.li ([37.120.193.124]:35312)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pinoaffe@HIDDEN>) id 1jI7qG-00070d-Lc
 for guix-patches@HIDDEN; Sat, 28 Mar 2020 05:33:25 -0400
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1585387996; bh=XYJF+679UbKmqgi2PMdJSa368W9FBQa1xiAzdeB4S4w=;
 h=Date:From:To:Subject:From;
 b=GMSLFVmKX+Poe5gk9eKdW+3f1o7EpQlNza5gijbZeb3ckabg6OKrbWKNGyRj4n0Ju
 ylciEj2lflNHpWfX218uMKlQdPkWzm5PBGlan+wZ8uETmombttrCU9FVQRqunQ62u/
 L4xxXD5TxslSoL8lnsS13EWfHHn5j4OBvzV8rmz0bRFNYD8J6rMM+e+6TM1PPvl4e5
 UOecl1jhubJCESYoPBc+dFz90KoWhWY9hU/s5TbE3uhP6P3ef9syPkPf7pXAF6vSPs
 kQS3L29+jRhEx1MRLTJwL9BNj2d+Fh81tgUUa1b/78nB0n3TAlNfvTfKhr1p7D+pGe
 hjN+38cyrqTFw==
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sat, 28 Mar 2020 09:33:16 +0000
From: pinoaffe@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: Add python-flask-markdown.
Message-ID: <5bbe56dd7abd7d2dedd737a61620ae36@HIDDEN>
X-Sender: pinoaffe@HIDDEN
User-Agent: Roundcube Webmail/1.3.10
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 37.120.193.124
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


* gnu/packages/python-web.scm (python-flask-markdown, 
python2-flask-markdown): New variables.
---
  gnu/packages/python-web.scm | 30 ++++++++++++++++++++++++++++++
  1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index b02ffd5f58..db66f1ed4d 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -470,6 +470,36 @@ both of which are installed automatically if you 
install this library.")
  (define-public python2-flask-babel
    (package-with-python2 python-flask-babel))

+(define-public python-flask-markdown
+  (package
+    (name "python-flask-markdown")
+    (version "0.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "Flask-Markdown" version))
+        (sha256
+          (base32
+            "0l32ikv4f7va926jlq4f7gx0xid247bhlxl6bd9av5dk8ljz1hyq"))))
+    (build-system python-build-system)
+    (arguments
+       `(#:tests? #f))
+    (propagated-inputs
+      `(("python-markdown" ,python-markdown)
+        ("python-flask" ,python-flask)))
+    (native-inputs
+      `(("python-nose" ,python-nose)))
+    (home-page
+      "http://github.com/dcolish/flask-markdown")
+    (synopsis
+      "Small extension to make using markdown in flask easy")
+    (description
+      "Small extension to make using markdown in flask easy")
+    (license license:bsd-3)))
+
+(define-public python2-flask-markdown
+  (package-with-python2 python-flask-markdown))
+
  (define-public python-html5lib
    (package
      (name "python-html5lib")
-- 
2.25.2





Acknowledgement sent to pinoaffe@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40270; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Mar 2020 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.